
QGIS Application - Bug report #15664

Dxf2shp Converter crash in 2.14

2016-10-05 12:11 AM - Elia De Marchi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: C++ Plugins

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows and Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:Yes Copied to github as #: 23587

Description

In the version 2.14 (all releases) of Qgis both for windows and mac when I try to convert a dxf in shp the software crashes.

The same dxf causes no problem in the version 2.8 (even if the exportation was not correct in terms of position and scale).

Here below is attached a dxf exported from archicad that I needed to convert, but dxf exported from qgis as well causes crashes. It

contains polylines, polygons and texts.

History

#1 - 2016-10-05 12:25 AM - Elia De Marchi

The version 2.16 as well crashes.

#2 - 2016-10-07 02:44 AM - Sandro Santilli

- Status changed from Open to In Progress

- Assignee set to Sandro Santilli

#3 - 2016-10-07 02:51 AM - Sandro Santilli

QGIS a9850ae from master_2 (2.18-pre) running on Ubuntu 16.04 64bit imports polylines and polygons and points from the example DXF w/out crashing,

including export of inserts and text labels. Do you have a chance to test it your side, Elia ?

#4 - 2016-10-07 03:15 AM - Sandro Santilli

- Status changed from In Progress to Feedback

I could not reproduce with final-2_16_3-45-g61a0a1e either (from the 2.16 branch). Which version did you try exactly, Elia ?

And, which were the exact steps to reproduce ? (did you select polyline, polygon or point - and did you check any of "export of inserts" and "export of text

labels" ?)

#5 - 2016-10-07 03:58 AM - Elia De Marchi

I tried with 2.14.3, 2.14.5, 2.14.7 and 2.16.2.

Checking and unchecking all the option and with all the 3 kind of object. It allways crash. It does not crash if I drag the dxf from the browser panel giving me

the point, polygon and polylines entities.

#6 - 2016-10-07 06:07 AM - Sandro Santilli
Then I guess it's platform specific ? Can you obtain a valgrind report or gdb stacktrace ?

#7 - 2016-10-18 03:15 AM - Sandro Santilli

- Assignee deleted (Sandro Santilli)

#8 - 2017-01-02 02:00 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

#e75b572b6e08f141a927c62f710a67629a0dbe46

tool has been removed on master (qgis 3).

Files

Example.dxf 1.48 MB 2016-10-04 Elia De Marchi
